Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread ypopezios
Review: Approve

As far as it concerns me, this looks ok ;-P
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread GunChleoc
Thanks for the review! :)

@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app into lp:widelands

2018-08-13 Thread Toni Förster
The proposal to merge lp:~widelands-dev/widelands/macos_build_app into 
lp:widelands has been updated.

Commit message changed to:

The script for building on macOS uses gcc-7 now. Also it checks whether the 
SDK10.7 is installed or not and uses the latest installed version if it cannot 
find the old one.

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app/+merge/352945
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/macos_build_app.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786163 into lp:widelands

2018-08-13 Thread bunnybot
Continuous integration builds have changed state:

Travis build 3779. State: errored. Details: 
https://travis-ci.org/widelands/widelands/builds/415308135.
Appveyor build 3578. State: failed. Details: 
https://ci.appveyor.com/project/widelands-dev/widelands/build/_widelands_dev_widelands_bug_1786163-3578.
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786163/+merge/352947
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786163.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands

2018-08-13 Thread Toni Förster
Toni Förster has proposed merging 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands.

Commit message:
Reduce waiting time to 10ms for skipped programs.

Requested reviews:
  Widelands Developers (widelands-dev)
Related bugs:
  Bug #1786613 in widelands: "production times are 10s longer when 
return=skipped"
  https://bugs.launchpad.net/widelands/+bug/1786613

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-10s-return-skipped/+merge/352966

That "penalty" is reduced to 10ms. Which means there is no measurable effect. 
After 1000 produced wares it would be 10 seconds. For a ware that would be 
produced constantly every 60 seconds it would take 16.6 in-game hours to result 
in a loss of 1 product due to the time penalty. Currently this happens very 6 
minutes.

I couldn't see any slowdowns or higher CPU usage. My test scenario:

The Nil map, 8 AIs, 2 Teams with all 4 tribes assigned to each team. 

My System:

MacBook 7,1
Intel Core2Duo@2.4GHz
16GB Ram
macOS 10.13.6


-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands.
=== modified file 'data/images/wui/menus/menu_chat.png'
Binary files data/images/wui/menus/menu_chat.png	2014-12-04 14:47:26 + and data/images/wui/menus/menu_chat.png	2018-08-13 09:47:25 + differ
=== modified file 'src/logic/map_objects/tribes/productionsite.cc'
--- src/logic/map_objects/tribes/productionsite.cc	2018-06-19 08:52:49 +
+++ src/logic/map_objects/tribes/productionsite.cc	2018-08-13 09:47:25 +
@@ -899,7 +899,7 @@
 	SkippedPrograms::const_iterator i = skipped_programs_.find(program_name);
 	if (i != skipped_programs_.end()) {
 		uint32_t const gametime = game.get_gametime();
-		uint32_t const earliest_allowed_start_time = i->second + 1;
+		uint32_t const earliest_allowed_start_time = i->second + 10;
 		if (gametime + tdelta < earliest_allowed_start_time)
 			tdelta = earliest_allowed_start_time - gametime;
 	}

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands

2018-08-13 Thread Toni Förster
Toni Förster has proposed merging 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands.

Commit message:
reduce waiting time to 10ms for skipped programs

Requested reviews:
  Widelands Developers (widelands-dev)
Related bugs:
  Bug #1786613 in widelands: "production times are 10s longer when 
return=skipped"
  https://bugs.launchpad.net/widelands/+bug/1786613

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-10s-return-skipped/+merge/352967

That "penalty" is reduced to 10ms. Which means there is no measurable effect. 
After 1000 produced wares it would be 10 seconds. For a ware that would be 
produced constantly every 60 seconds it would take 16.6 in-game hours to result 
in a loss of 1 product due to the time penalty. Currently this happens very 6 
minutes.

I couldn't see any slowdowns or higher CPU usage. My test scenario:

The Nil map, 8 AIs, 2 Teams with all 4 tribes assigned to each team.

My System:

MacBook 7,1
Intel Core2Duo@2.4GHz
16GB Ram
macOS 10.13.6
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands.
=== modified file 'src/logic/map_objects/tribes/productionsite.cc'
--- src/logic/map_objects/tribes/productionsite.cc	2018-06-19 08:52:49 +
+++ src/logic/map_objects/tribes/productionsite.cc	2018-08-13 09:53:54 +
@@ -899,7 +899,7 @@
 	SkippedPrograms::const_iterator i = skipped_programs_.find(program_name);
 	if (i != skipped_programs_.end()) {
 		uint32_t const gametime = game.get_gametime();
-		uint32_t const earliest_allowed_start_time = i->second + 1;
+		uint32_t const earliest_allowed_start_time = i->second + 10;
 		if (gametime + tdelta < earliest_allowed_start_time)
 			tdelta = earliest_allowed_start_time - gametime;
 	}

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread GunChleoc
Transient error on Travis

@bunnybot merge force
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread GunChleoc
The proposal to merge lp:~widelands-dev/widelands/bug-1786597-test-suite into 
lp:widelands has been updated.

Commit message changed to:

Fix the testsuite for carriers

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread bunnybot
Continuous integration builds have changed state:

Travis build 3780. State: errored. Details: 
https://travis-ci.org/widelands/widelands/builds/415308939.
Appveyor build 3579. State: failed. Details: 
https://ci.appveyor.com/project/widelands-dev/widelands/build/_widelands_dev_widelands_bug_1786597_test_suite-3579.
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread bunnybot
Refusing to merge, since Travis is not green. Use @bunnybot merge force for 
merging anyways.

Travis build 3780. State: errored. Details: 
https://travis-ci.org/widelands/widelands/builds/415308939.
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread GunChleoc
@bunnybot merge force
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into lp:widelands

2018-08-13 Thread GunChleoc
GunChleoc has proposed merging 
lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into 
lp:widelands.

Commit message:
Fix food help for Frisian Training Camp.

Requested reviews:
  Widelands Developers (widelands-dev)

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/fix-frisian-trainingsites-food-help/+merge/352977
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into 
lp:widelands.
=== modified file 'data/tribes/buildings/trainingsites/frisians/training_camp/init.lua'
--- data/tribes/buildings/trainingsites/frisians/training_camp/init.lua	2018-07-17 10:13:49 +
+++ data/tribes/buildings/trainingsites/frisians/training_camp/init.lua	2018-08-13 13:24:01 +
@@ -87,8 +87,7 @@
   min_level = 0,
   max_level = 0,
   food = {
- {"bread_frisians"},
- {"beer"},
+ {"bread_frisians", "beer"},
  {"smoked_fish", "smoked_meat"},
   },
   weapons = {
@@ -99,8 +98,7 @@
   min_level = 0,
   max_level = 0,
   food = {
- {"bread_frisians"},
- {"beer"},
+ {"bread_frisians", "beer"},
  {"smoked_fish", "smoked_meat"},
   },
   weapons = {

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into lp:widelands

2018-08-13 Thread GunChleoc
Originally reported on the forum: https://wl.widelands.org/forum/topic/4312/
-- 
https://code.launchpad.net/~widelands-dev/widelands/fix-frisian-trainingsites-food-help/+merge/352977
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into 
lp:widelands.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/missing_animations_barbarians_wood_hardener into lp:~widelands-dev/widelands/mines-worldsavior

2018-08-13 Thread Toni Förster
Toni Förster has proposed merging 
lp:~widelands-dev/widelands/missing_animations_barbarians_wood_hardener into 
lp:~widelands-dev/widelands/mines-worldsavior.

Commit message:
Use working animations for the barbarians wood hardener.

They where in place but idle animation were used instead.

Requested reviews:
  hessenfarmer (stephan-lutz)

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/missing_animations_barbarians_wood_hardener/+merge/352980
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/mines-worldsavior.
=== modified file 'data/tribes/buildings/productionsites/barbarians/wood_hardener/init.lua'
--- data/tribes/buildings/productionsites/barbarians/wood_hardener/init.lua	2017-11-18 17:57:00 +
+++ data/tribes/buildings/productionsites/barbarians/wood_hardener/init.lua	2018-08-13 13:49:48 +
@@ -28,7 +28,7 @@
  hotspot = { 52, 64 },
   },
   working = {
- pictures = path.list_files(dirname .. "idle_??.png"), -- TODO(GunChleoc): No animation yet.
+ pictures = path.list_files(dirname .. "working_??.png"),
  hotspot = { 52, 64 },
   },
   unoccupied = {

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786597-test-suite into lp:widelands

2018-08-13 Thread noreply
The proposal to merge lp:~widelands-dev/widelands/bug-1786597-test-suite into 
lp:widelands has been updated.

Status: Needs review => Merged

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1786597-test-suite/+merge/352928
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786597-test-suite.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1619402-port-work-area-on-expedition into lp:widelands

2018-08-13 Thread GunChleoc
@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1619402-port-work-area-on-expedition/+merge/349594
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1619402-port-work-area-on-expedition.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/lenient_allowed_buildings into lp:widelands

2018-08-13 Thread GunChleoc
Yes, if scenarios actually use nonexistent buildings, saveloading will tell the 
player so via UI if such a building has been built.

@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/lenient_allowed_buildings/+merge/351749
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/lenient_allowed_buildings.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1785404-chat-scrolling into lp:widelands

2018-08-13 Thread GunChleoc
@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1785404-chat-scrolling/+merge/352941
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1785404-chat-scrolling.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app into lp:widelands

2018-08-13 Thread GunChleoc
@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app/+merge/352945
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/macos_build_app.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/remove_executable_bit into lp:widelands

2018-08-13 Thread Toni Förster
Toni Förster has proposed merging 
lp:~widelands-dev/widelands/remove_executable_bit into lp:widelands.

Commit message:
remove executable bit from files that are not supposed to have it

Requested reviews:
  Widelands Developers (widelands-dev)

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/remove_executable_bit/+merge/353012

just a small cleanup
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/remove_executable_bit into lp:widelands.
=== modified file 'data/campaigns/bar01.wmf/scripting/mission_thread.lua' (properties changed: +x to -x)
=== modified file 'data/campaigns/bar01.wmf/scripting/texts.lua' (properties changed: +x to -x)
=== modified file 'data/campaigns/bar02.wmf/scripting/texts.lua' (properties changed: +x to -x)
=== modified file 'data/campaigns/campaigns.conf' (properties changed: +x to -x)
=== modified file 'data/campaigns/emp01.wmf/scripting/texts.lua' (properties changed: +x to -x)
=== modified file 'data/campaigns/emp02.wmf/scripting/texts.lua' (properties changed: +x to -x)
=== modified file 'data/campaigns/fri02.wmf/pics/background.jpg' (properties changed: +x to -x)
=== modified file 'data/campaigns/tutorial01_basic_control.wmf/scripting/texts.lua' (properties changed: +x to -x)
=== modified file 'data/campaigns/tutorials.conf' (properties changed: +x to -x)
=== modified file 'data/scripting/set.lua' (properties changed: +x to -x)
=== modified file 'data/tribes/images/atlanteans/frontier_00.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/atlanteans/frontier_00_pc.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/barbarians/frontier_00.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/barbarians/frontier_00_pc.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/empire/frontier_00.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/empire/frontier_00_pc.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/frisians/frontier_00.png' (properties changed: +x to -x)
=== modified file 'data/tribes/images/frisians/frontier_00_pc.png' (properties changed: +x to -x)
___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands

2018-08-13 Thread bunnybot
Continuous integration builds have changed state:

Travis build 3782. State: failed. Details: 
https://travis-ci.org/widelands/widelands/builds/415390227.
Appveyor build 3581. State: success. Details: 
https://ci.appveyor.com/project/widelands-dev/widelands/build/_widelands_dev_widelands_bug_1786613_10s_return_skipped-3581.
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-10s-return-skipped/+merge/352967
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/remove_executable_bit into lp:widelands

2018-08-13 Thread GunChleoc
Review: Approve

Good catch :)

@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/remove_executable_bit/+merge/353012
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/remove_executable_bit.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/missing_animations_barbarians_wood_hardener into lp:~widelands-dev/widelands/mines-worldsavior

2018-08-13 Thread GunChleoc
Review: Approve

Thanks! Probably got lost when we did he big conversion from conf to Lua files

@bunnybot merge
-- 
https://code.launchpad.net/~widelands-dev/widelands/missing_animations_barbarians_wood_hardener/+merge/352980
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/mines-worldsavior.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into lp:widelands

2018-08-13 Thread hessenfarmer
Review: Approve

LGTM!
Thanks for fixing.
-- 
https://code.launchpad.net/~widelands-dev/widelands/fix-frisian-trainingsites-food-help/+merge/352977
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/missing_animations_barbarians_wood_hardener into lp:~widelands-dev/widelands/mines-worldsavior

2018-08-13 Thread hessenfarmer
Review: Approve

yes 
good catch
-- 
https://code.launchpad.net/~widelands-dev/widelands/missing_animations_barbarians_wood_hardener/+merge/352980
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/mines-worldsavior.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands

2018-08-13 Thread hessenfarmer
Review: Needs Fixing

Ok I tested this with different timings.
My machine is a Core 2 Duo T7500 @ 2,2 Ghz with 4 GB RAM. 
My setup was 
map: the nile
8 AI players 2 of each tribe
Let the game run for 4:50 hours
saved and loaded with every config.

results were:
original timing: around 30% cpu usage in task manager, peaks up to 45%
10 ms timing: around 33% with more and higher peaks up to 60%
100 ms timing: around 32% less peaks than 10s up to 50%
500 ms timing: around 30 to 31 % peaks up to 50% but not much frequent.

So I would propose to have a value of 500 to 1000ms as compromise to ensure 
minimal effect on performance.
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-10s-return-skipped/+merge/352967
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands

2018-08-13 Thread Toni Förster
The proposal to merge 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped into lp:widelands 
has been updated.

Status: Needs review => Superseded

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-10s-return-skipped/+merge/352967
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786613-10s-return-skipped.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-500ms-return-skipped into lp:widelands

2018-08-13 Thread Toni Förster
Toni Förster has proposed merging 
lp:~widelands-dev/widelands/bug-1786613-500ms-return-skipped into lp:widelands.

Commit message:
reduce waiting time to 500ms for skipped programs

Requested reviews:
  hessenfarmer (stephan-lutz)
Related bugs:
  Bug #1786613 in widelands: "production times are 10s longer when 
return=skipped"
  https://bugs.launchpad.net/widelands/+bug/1786613

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-500ms-return-skipped/+merge/353028

That "penalty" is reduced to 500ms. Which, according to @hessenfarmer's testing 
may be the sweetspot
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786613-500ms-return-skipped.
=== modified file 'src/logic/map_objects/tribes/productionsite.cc'
--- src/logic/map_objects/tribes/productionsite.cc	2018-06-19 08:52:49 +
+++ src/logic/map_objects/tribes/productionsite.cc	2018-08-13 20:06:37 +
@@ -899,7 +899,7 @@
 	SkippedPrograms::const_iterator i = skipped_programs_.find(program_name);
 	if (i != skipped_programs_.end()) {
 		uint32_t const gametime = game.get_gametime();
-		uint32_t const earliest_allowed_start_time = i->second + 1;
+		uint32_t const earliest_allowed_start_time = i->second + 500;
 		if (gametime + tdelta < earliest_allowed_start_time)
 			tdelta = earliest_allowed_start_time - gametime;
 	}

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help into lp:widelands

2018-08-13 Thread bunnybot
Continuous integration builds have changed state:

Travis build 3783. State: failed. Details: 
https://travis-ci.org/widelands/widelands/builds/415471904.
Appveyor build 3582. State: success. Details: 
https://ci.appveyor.com/project/widelands-dev/widelands/build/_widelands_dev_widelands_fix_frisian_trainingsites_food_help-3582.
-- 
https://code.launchpad.net/~widelands-dev/widelands/fix-frisian-trainingsites-food-help/+merge/352977
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/fix-frisian-trainingsites-food-help.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands

2018-08-13 Thread Toni Förster
Toni Förster has proposed merging 
lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands with 
lp:~widelands-dev/widelands/macos_build_app as a prerequisite.

Commit message:
choose between Clang and GCC

Requested reviews:
  Widelands Developers (widelands-dev)

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app_compiler/+merge/353035

One can choose between Clang and GCC now. The Wiki has been changed accordingly:

https://wl.widelands.org/wiki/BuildingWidelandsMac/
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands.
=== modified file 'utils/macos/build_app.sh'
--- utils/macos/build_app.sh	2018-08-13 21:53:55 +
+++ utils/macos/build_app.sh	2018-08-13 21:53:56 +
@@ -2,9 +2,9 @@
 
 set -e
 
-if [ "$#" == "0" ]; then
-	echo "Usage: $0 "
-	exit 1
+if [ "$#" == "0" ] || [ -z "$2" ]; then
+   echo "Usage: $0  "
+   exit 1
 fi
 
 # Check if the SDK for the minimum build target is available.
@@ -17,7 +17,18 @@
SDK_DIRECTORY="/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$OSX_VERSION.sdk"
 fi
 
-SOURCE_DIR=$1
+if [ "$1" == "gcc" ]; then
+   C_COMPILER="gcc-7"
+   CXX_COMPILER="g++-7"
+elif [ "$1" == "clang" ]; then
+   C_COMPILER="clang"
+   CXX_COMPILER="clang++"
+else
+   echo "Usage: $0  "
+   exit 1
+fi
+
+SOURCE_DIR=$2
 REVISION=`bzr revno $SOURCE_DIR`
 DESTINATION="WidelandsRelease"
 TYPE="Release"
@@ -33,6 +44,7 @@
 echo "   Destination: $DESTINATION"
 echo "   Type:$TYPE"
 echo "   macOS:   $OSX_MIN_VERSION"
+echo "   Compiler:$1"
 echo ""
 
 function MakeDMG {
@@ -125,8 +137,8 @@
export ICU_ROOT="$(brew --prefix icu4c)"
 
cmake $SOURCE_DIR -G Ninja \
-  -DCMAKE_C_COMPILER:FILEPATH="$(brew --prefix ccache)/libexec/gcc-7" \
-  -DCMAKE_CXX_COMPILER:FILEPATH="$(brew --prefix ccache)/libexec/g++-7" \
+  -DCMAKE_C_COMPILER:FILEPATH="$(brew --prefix ccache)/libexec/$C_COMPILER" \
+  -DCMAKE_CXX_COMPILER:FILEPATH="$(brew --prefix ccache)/libexec/$CXX_COMPILER" \
   -DCMAKE_OSX_DEPLOYMENT_TARGET:STRING="$OSX_MIN_VERSION" \
   -DCMAKE_OSX_SYSROOT:PATH="$SDK_DIRECTORY" \
   -DCMAKE_INSTALL_PREFIX:PATH="$DESTINATION/Widelands.app/Contents/MacOS" \

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands

2018-08-13 Thread Toni Förster
The proposal to merge lp:~widelands-dev/widelands/macos_build_app_compiler into 
lp:widelands has been updated.

Commit message changed to:

choose between compiler clang or gcc, specify build type: debug or release

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app_compiler/+merge/353035
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands

2018-08-13 Thread Toni Förster
The proposal to merge lp:~widelands-dev/widelands/macos_build_app_compiler into 
lp:widelands has been updated.

Description changed to:

One can choose between Clang and GCC now. The Wiki has been changed accordingly:

https://wl.widelands.org/wiki/Building Widelands on macOS/

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app_compiler/+merge/353035
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands

2018-08-13 Thread Toni Förster
The proposal to merge lp:~widelands-dev/widelands/macos_build_app_compiler into 
lp:widelands has been updated.

Description changed to:

One can choose between Clang and GCC now. The Wiki has been changed accordingly:

https://wl.widelands.org/wiki/BuildingWidelandsonmacOS/

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app_compiler/+merge/353035
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands

2018-08-13 Thread Toni Förster
The proposal to merge lp:~widelands-dev/widelands/macos_build_app_compiler into 
lp:widelands has been updated.

Description changed to:

One can choose between Clang and GCC now. The Wiki has been changed accordingly:

https://wl.widelands.org/wiki/Building_Widelands_on_macOS/

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app_compiler/+merge/353035
-- 
Your team Widelands Developers is requested to review the proposed merge of 
lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app into lp:widelands

2018-08-13 Thread bunnybot
Continuous integration builds have changed state:

Travis build 3785. State: passed. Details: 
https://travis-ci.org/widelands/widelands/builds/415536722.
Appveyor build 3584. State: success. Details: 
https://ci.appveyor.com/project/widelands-dev/widelands/build/_widelands_dev_widelands_macos_build_app-3584.
-- 
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app/+merge/352945
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/macos_build_app.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app into lp:widelands

2018-08-13 Thread noreply
The proposal to merge lp:~widelands-dev/widelands/macos_build_app into 
lp:widelands has been updated.

Status: Needs review => Merged

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app/+merge/352945
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/macos_build_app.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1785404-chat-scrolling into lp:widelands

2018-08-13 Thread bunnybot
Continuous integration builds have changed state:

Travis build 3786. State: passed. Details: 
https://travis-ci.org/widelands/widelands/builds/415538286.
Appveyor build 3585. State: success. Details: 
https://ci.appveyor.com/project/widelands-dev/widelands/build/_widelands_dev_widelands_bug_1785404_chat_scrolling-3585.
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1785404-chat-scrolling/+merge/352941
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1785404-chat-scrolling.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


[Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1785404-chat-scrolling into lp:widelands

2018-08-13 Thread noreply
The proposal to merge lp:~widelands-dev/widelands/bug-1785404-chat-scrolling 
into lp:widelands has been updated.

Status: Needs review => Merged

For more details, see:
https://code.launchpad.net/~widelands-dev/widelands/bug-1785404-chat-scrolling/+merge/352941
-- 
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1785404-chat-scrolling.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/macos_build_app_compiler into lp:widelands

2018-08-13 Thread GunChleoc
Review: Approve

Code LGTM :)
-- 
https://code.launchpad.net/~widelands-dev/widelands/macos_build_app_compiler/+merge/353035
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/macos_build_app.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp


Re: [Widelands-dev] [Merge] lp:~widelands-dev/widelands/bug-1786613-500ms-return-skipped into lp:widelands

2018-08-13 Thread hessenfarmer
Review: Approve

Looks good from my side now.
Would be good though if somebody with an underpowered machine would confirm 
minimal effect on performance
-- 
https://code.launchpad.net/~widelands-dev/widelands/bug-1786613-500ms-return-skipped/+merge/353028
Your team Widelands Developers is subscribed to branch 
lp:~widelands-dev/widelands/bug-1786613-500ms-return-skipped.

___
Mailing list: https://launchpad.net/~widelands-dev
Post to : widelands-dev@lists.launchpad.net
Unsubscribe : https://launchpad.net/~widelands-dev
More help   : https://help.launchpad.net/ListHelp